﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="Grid3UserControl.ascx.cs"
    Inherits="Grid1UserControl" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>

<telerik:RadGrid ID="RadGrid1" Skin="Hay" runat="server" DataSourceID="SqlDataSource1">
    <MasterTableView AutoGenerateColumns="False" AllowFilteringByColumn="true" AllowSorting="true"
        AllowPaging="true" DataKeyNames="ProductID" DataSourceID="SqlDataSource1">
        <Columns>
            <telerik:GridBoundColumn DataField="ProductID" DataType="System.Int32" HeaderText="ProductID"
                ReadOnly="True" SortExpression="ProductID" UniqueName="ProductID">
            </telerik:GridBoundColumn>
            <telerik:GridBoundColumn DataField="ProductName" HeaderText="ProductName" SortExpression="ProductName"
                UniqueName="ProductName">
            </telerik:GridBoundColumn>
            <telerik:GridCheckBoxColumn DataField="Discontinued" DataType="System.Boolean" HeaderText="Discontinued"
                SortExpression="Discontinued" UniqueName="Discontinued">
            </telerik:GridCheckBoxColumn>
            <telerik:GridBoundColumn DataField="UnitsInStock" DataType="System.Int16" HeaderText="UnitsInStock"
                SortExpression="UnitsInStock" UniqueName="UnitsInStock">
            </telerik:GridBoundColumn>
            <telerik:GridBoundColumn DataField="UnitsOnOrder" DataType="System.Int16" HeaderText="UnitsOnOrder"
                SortExpression="UnitsOnOrder" UniqueName="UnitsOnOrder">
            </telerik:GridBoundColumn>
            <telerik:GridBoundColumn DataField="UnitPrice" DataType="System.Decimal" HeaderText="UnitPrice"
                SortExpression="UnitPrice" UniqueName="UnitPrice">
            </telerik:GridBoundColumn>
            <telerik:GridBoundColumn DataField="CategoryID" DataType="System.Int32" HeaderText="CategoryID"
                SortExpression="CategoryID" UniqueName="CategoryID">
            </telerik:GridBoundColumn>
        </Columns>
    </MasterTableView>

</telerik:RadGrid>
<asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:ConnectionString %>"
    SelectCommand="SELECT [ProductID], [ProductName], [Discontinued], [UnitsInStock], [UnitsOnOrder], [UnitPrice], [CategoryID] FROM [Products]">
</asp:SqlDataSource>
